Subject: bug#62146: 26.3; Allow users to get help on y/n prompt

From: Drew Adams <[email-masked]>
Date: Sun, 12 Mar 2023 18:18:15 +0000

> > Please consider allowing a help character, such as `?' or `C-h', to
> > give users more info about y/n prompting - info that might help with this
> > user's confusion (maybe some info such as that offered by NickD's
> > answer).
> 
> The help info is right above the prompt.
> 
> And I don't really understand what that user wanted to do, and why he
> tried doing that when prompted for a y/n response.
> 
> > Consider, in particular, the context of hitting a key for a disabled
> > command (the OP's context), and seeing the Help text for dealing with
> > disabled commands, including a link that is impossible to access while
> > in the y/n read.
> 
> To cancel type 'n' -- this text is right in the face of the user.

I'm guessing it might help to make clear that `n'
will hide buffer *Disabled Command*, but it's not
killed and you can get back to it (e.g. to read it
again, follow the link, or whatever) using `C-x b'.

Another aid might be to not hide *Disabled Command*.

Another aid might be to also point/link to (emacs)
`Disabling', for more information about disabled
commands.  `i disabled command' takes you to that
node, and although the info there is mostly about
disabling (and enabling disabled) commands, it
also explains what a disabled command means etc.

I think the general point is that (1) showing
text that links somewhere, while not letting you
follow the link and (2) hiding that text if you
use `n' (or anything else), introduces unnecessary
confusion.

It's a bit as if the y/n dialog were ignorant of
the text being shown.  That text can invite a
quest for more info, but the simple y/n dialog
prevents that.  I can understand why/how a user
might think/say "Wtf?"

You may disagree that this dialog/info could or
should be improved, of course.